(function () {
    'use strict';

    angular
        .module('setoresApp')
        .directive('fileUploadTrigger', fileUpload);

    function fileUpload($parse) {

        let directive = {
            link: link,
            restrict: 'A',
            scope: false
        };
        return directive;

        function link(scope, element, attrs) {
            element.bind("click", () => {
                document.getElementById('listaArquivosContestacaoInput').click();
            });
        }
    }
})();
